searchData={"content_type":"text/markdown","items":[{"doc":"Defines a GraphQL directive to add constraints to field definitions and argument definitions.\n\nExample\n\n```elixir\ninput_object :my_input do\n  field(:my_field, :integer, directives: [constraints: [min: 1]])\nend\n\n#...\nobject :my_query do\n  field :my_field, non_null(:string) do\n    arg(:my_arg, non_null(:string), directives: [constraints: [format: \"uuid\"]])\n    resolve(&MyResolver.resolve/2)\n  end\nend\n```","ref":"Absinthe.Constrains.Directive.html","title":"Absinthe.Constrains.Directive","type":"module"},{"doc":"","ref":"Absinthe.Constrains.Directive.html#expand_constraints/2","title":"Absinthe.Constrains.Directive.expand_constraints/2","type":"function"},{"doc":"Add a deprecation (with an optional reason) to a node.","ref":"Absinthe.Constrains.Directive.html#expand_deprecate/2","title":"Absinthe.Constrains.Directive.expand_deprecate/2","type":"function"},{"doc":"","ref":"Absinthe.Constrains.Directive.html#pipeline/1","title":"Absinthe.Constrains.Directive.pipeline/1","type":"function"},{"doc":"Defines an Absinthe Document Phase that validates inputs against constraints defined by the `constraints` directive.\n\nUse add_to_pipeline/2 to add this phase to your Absinthe pipeline.","ref":"Absinthe.Constrains.Phase.html","title":"Absinthe.Constrains.Phase","type":"module"},{"doc":"","ref":"Absinthe.Constrains.Phase.html#add_to_pipeline/2","title":"Absinthe.Constrains.Phase.add_to_pipeline/2","type":"function"},{"doc":"","ref":"Absinthe.Constrains.Phase.html#flag_invalid/1","title":"Absinthe.Constrains.Phase.flag_invalid/1","type":"function"},{"doc":"","ref":"Absinthe.Constrains.Phase.html#flag_invalid/2","title":"Absinthe.Constrains.Phase.flag_invalid/2","type":"function"},{"doc":"","ref":"Absinthe.Constrains.Phase.html#flag_invalid/3","title":"Absinthe.Constrains.Phase.flag_invalid/3","type":"function"},{"doc":"","ref":"Absinthe.Constrains.Phase.html#inherit_invalid/3","title":"Absinthe.Constrains.Phase.inherit_invalid/3","type":"function"},{"doc":"","ref":"Absinthe.Constrains.Phase.html#put_flag/2","title":"Absinthe.Constrains.Phase.put_flag/2","type":"function"},{"doc":"Defines all the constraint handlers for the `constraints` directive.","ref":"Absinthe.Constrains.Validator.html","title":"Absinthe.Constrains.Validator","type":"module"},{"doc":"","ref":"Absinthe.Constrains.Validator.html#handle_constraint/2","title":"Absinthe.Constrains.Validator.handle_constraint/2","type":"function"}]}